{
	"name": "table/external/odoo/product/product_work-estimated.json",
	"table_name": "mrp_routing_workcenter",
	"odoo_model": "mrp.routing.workcenter",
	"table_prefix": "prwo",
	"record_type": ["estimated"],
	"local_table": "product_work",
	"local_record_type": "estimated",
	"field": [
		{
			"info": "Active",
			"field_name": "active",
			"local_field": "json_data.product_work_state",
			"field_type": "boolean"
		},
		{
			"info": "Next Activity Calendar Event",
			"field_name": "activity_calendar_event_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Next Activity Deadline",
			"field_name": "activity_date_deadline",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Activity Exception Decoration\nType of the exception activity on record.",
			"field_name": "activity_exception_decoration",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Icon\nIcon to indicate an exception activity.",
			"field_name": "activity_exception_icon",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Activities",
			"field_name": "activity_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Activity State\nStatus based on activities\nOverdue: Due date is already passed\nToday: Activity date is today\nPlanned: Future activities.",
			"field_name": "activity_state",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Next Activity Summary",
			"field_name": "activity_summary",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Activity Type Icon\nFont awesome icon e.g. fa-tasks",
			"field_name": "activity_type_icon",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Next Activity Type",
			"field_name": "activity_type_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Responsible User",
			"field_name": "activity_user_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Operation Dependencies\nCreate operation level dependencies that will influence both planning and the status of work orders upon MO confirmation. If this feature is ticked, and nothing is specified, Odoo will assume that all operations can be started simultaneously.",
			"field_name": "allow_operation_dependencies",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Blocked By\nOperations that need to be completed before this operation can start.",
			"field_name": "blocked_by_operation_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Bill of Material",
			"field_name": "bom_id",
			"local_field": "product_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Apply on Variants\nBOM Product Variants needed to apply this line.",
			"field_name": "bom_product_template_attribute_value_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Company",
			"field_name": "company_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Created on",
			"field_name": "create_date",
			"local_field": "create_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Created by",
			"field_name": "create_uid",
			"local_field": "json_data.create_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Display Name",
			"field_name": "display_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Employee Capacity\nNumber of employees needed to complete operation.",
			"field_name": "employee_ratio",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Has Message",
			"field_name": "has_message",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "ID",
			"field_name": "id",
			"local_field": "record_id",
			"field_type": "integer",
			"constraint": ["primary key"]
		},
		{
			"info": "Attachment Count",
			"field_name": "message_attachment_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers",
			"field_name": "message_follower_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Message Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of errors\nNumber of messages with delivery error",
			"field_name": "message_has_error_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "SMS Delivery error\nIf checked, some messages have a delivery error.",
			"field_name": "message_has_sms_error",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Messages",
			"field_name": "message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Is Follower",
			"field_name": "message_is_follower",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Action Needed\nIf checked, new messages require your attention.",
			"field_name": "message_needaction",
			"local_field": "",
			"field_type": "boolean"
		},
		{
			"info": "Number of Actions\nNumber of messages requiring action",
			"field_name": "message_needaction_counter",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Followers (Partners)",
			"field_name": "message_partner_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "My Activity Deadline",
			"field_name": "my_activity_date_deadline",
			"local_field": "",
			"field_type": "date"
		},
		{
			"info": "Operation",
			"field_name": "name",
			"local_field": "description",
			"field_type": "varchar"
		},
		{
			"info": "Blocks\nOperations that cannot start before this operation is completed.",
			"field_name": "needed_by_operation_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Description",
			"field_name": "note",
			"local_field": "info",
			"field_type": "text",
			"type": "html"
		},
		{
			"info": "Possible Product Template Attribute Value",
			"field_name": "possible_bom_product_template_attribute_value_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "many2many",
			"json_tag": "[1]"
		},
		{
			"info": "Instructions",
			"field_name": "quality_point_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Quality Point",
			"field_name": "quality_point_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Ratings",
			"field_name": "rating_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Sequence\nGives the sequence order when displaying a list of routing Work Centers.",
			"field_name": "sequence",
			"local_field": "work_phase_number",
			"field_type": "integer"
		},
		{
			"info": "Computed on last",
			"field_name": "time_computed_on",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Duration",
			"field_name": "time_cycle",
			"local_field": "work_hours",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Manual Duration\nTime in minutes:- In manual mode, time used- In automatic mode, supposed first time when there aren't any work orders yet",
			"field_name": "time_cycle_manual",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "Duration Computation",
			"field_name": "time_mode",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Based on",
			"field_name": "time_mode_batch",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Website Messages\nWebsite communication history",
			"field_name": "website_message_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "Work Center",
			"field_name": "workcenter_id",
			"local_field": "resource_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[2]"
		},
		{
			"info": "# Work Orders",
			"field_name": "workorder_count",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "Work Orders",
			"field_name": "workorder_ids",
			"local_field": "",
			"field_type": "integer",
			"type": "one2many",
			"json_tag": "[1]"
		},
		{
			"info": "PDF",
			"field_name": "worksheet",
			"local_field": "",
			"field_type": "blob",
			"type": "binary"
		},
		{
			"info": "Google Slide\nPaste the url of your Google Slide. Make sure the access to the document is public.",
			"field_name": "worksheet_google_slide",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Worksheet",
			"field_name": "worksheet_type",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Last Updated on",
			"field_name": "write_date",
			"local_field": "modify_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Last Updated by",
			"field_name": "write_uid",
			"local_field": "modify_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		}
	]
}
